As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1224907 - Mac: Search bar missing in Bookmarks Manager
: Mac: Search bar missing in Bookmarks Manager
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Search (show other bugs)
: SeaMonkey 2.39 Branch
: All Mac OS X
: -- normal (vote)
: seamonkey2.44
Assigned To: Philip Chee
:
:
Mentors:
: 1226656 1232093 (view as bug list)
Depends on:
Blocks: 1153577
  Show dependency treegraph
 
Reported: 2015-11-15 04:23 PST by promo
Modified: 2016-06-30 15:34 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
@ 2015-11-15 um 13.22.19.jpg (36.06 KB, image/jpeg)
2015-11-15 04:23 PST, promo
no flags Details
Patch v1.0 remove autohide from the bookmarks toolbar for all platforms. (2.03 KB, patch)
2016-02-28 08:33 PST, Philip Chee
stefanh: review+
Details | Diff | Splinter Review

Description User image promo 2015-11-15 04:23:43 PST
Created attachment 8687666 [details]
@ 2015-11-15 um 13.22.19.jpg

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:42.0) Gecko/20100101 Firefox/42.0 SeaMonkey/2.39
Build ID: 20151103192036

Steps to reproduce:

Search Button is missing in Bookmarks Manager Window


Actual results:

No way to search in Bookmarks Manager anymore
Comment 1 User image therube 2015-11-16 07:33:21 PST
And what happens if you restart SeaMonkey in Safe Mode (or in particular, revert to the Default or Modern themes)?

http://kb.mozillazine.org/Safe_mode
Comment 2 User image promo 2015-11-16 07:50:27 PST
Safe mode, classic or modern theme... same thing!
Comment 3 User image promo 2015-11-16 07:51:54 PST
It did work in v2.3.8 though!
Comment 4 User image therube 2015-11-16 08:39:11 PST
Are you using the -de version of SeaMonkey or otherwise have various locales installed?

Could be an L10n issue?
Comment 5 User image promo 2015-11-16 08:47:16 PST
I'm using the English US-Version... just one user profile!
Comment 6 User image promo 2015-11-16 09:03:15 PST
Just tried the -de version, doesn't work here either!
Comment 7 User image kevink9876543 2015-11-16 19:10:07 PST
per reports @ http://forums.mozillazine.org/viewtopic.php?f=40&t=2973629 this is a Mac OS X specific issue
Comment 8 User image Philip Chee 2015-11-21 02:07:45 PST
Looks like fallout from Bug 1153577 - Users should be able to hide the menubar and show it with the ALT key.

CC Neil: I thought this was enabled only in Windows and Linux?
Comment 9 User image Philip Chee 2015-11-21 02:54:17 PST
*** Bug 1226656 has been marked as a duplicate of this bug. ***
Comment 10 User image neil@parkwaycc.co.uk 2015-11-22 03:27:56 PST
(In reply to Philip Chee from comment #8)
> Looks like fallout from Bug 1153577 - Users should be able to hide the
> menubar and show it with the ALT key.
> 
> CC Neil: I thought this was enabled only in Windows and Linux?

The problem is that the search box is positioned in the menu toolbar. When the toolbar was just a regular toolbar, then the menu was hidden on the Mac and just the search box showed. But because you made the toolbar a menu toolbar, the whole toolbar is now hidden on the Mac.

Probably the easiest solution is to overlay the type="menubar" attribute using the platform overlay.
Comment 11 User image Rainer Bielefeld 2015-12-12 10:22:15 PST
*** Bug 1232093 has been marked as a duplicate of this bug. ***
Comment 12 User image patrickjdempsey 2015-12-12 11:18:36 PST
Work-around for users facing this issue: 
- open xulstore.json in your profile into a text editor.
- search for "placesToolbar"
- replace that entry with:
"placesToolbar":{"type":""}
- save the file and reopen SeaMonkey

This works by removing type=menubar which prevents SeaMonkey from hiding that toolbar in OSX.
Comment 13 User image Philip Chee 2016-02-28 08:33:25 PST
Created attachment 8724549 [details] [diff] [review]
Patch v1.0 remove autohide from the bookmarks toolbar for all platforms.

I thought removing the autohide for all platforms to be the least complicated way.

Note You need to log in before you can comment on or make changes to this bug.